/*-----------------------------------------------------------------------------
[名称]	CharPaletteSettingDlg.h
[概要]	文字パレット設定ダイアログクラスのヘッダ
[備考]	なし
[履歴]	2003-04-22	NC		コメント付加(moralog)
-----------------------------------------------------------------------------*/
#if !defined(AFX_CHARPALETTESETTINGDLG_H_INCLUDED_)
#define AFX_CHARPALETTESETTINGDLG_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//-----------------------------------------------------------------------------
// インクルード
//-----------------------------------------------------------------------------
#include "CharPaletteDefine.h"


/*-----------------------------------------------------------------------------
[名称]	文字パレット設定ダイアログクラス
[用途]	文字パレット設定ダイアログクラス。
[備考]	なし
-----------------------------------------------------------------------------*/
class CCharPaletteSettingDlg : public CDialog
{
// コンストラクション
public:
	CCharPaletteSettingDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

// ダイアログ データ
	//{{AFX_DATA(CCharPaletteSettingDlg)
	enum { IDD = IDD_CHARPALETTE_SETTING };
	CButton	m_btnUp;
	CButton	m_btnEdit;
	CButton	m_btnDown;
	CButton	m_btnDelete;
	CButton	m_btnAdd;
	CListBox	m_listTab;
	int		m_iScrollBarAlign;
	UINT	m_uiHeight;
	UINT	m_uiWidth;
	BOOL	m_bTopMost;
	int		m_iTabAlign;
	UINT	m_uiHistoryCount;
	BOOL	m_bHistorySort;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CCharPaletteSettingDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	CCharPaletteDefine		m_CharPaletteDefine;	// 文字パレット定義 [-] (-)

	// ボタンのEnable制御
	void VisibleControl();

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CCharPaletteSettingDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnCharpaletteSettingAdd();
	virtual void OnOK();
	afx_msg void OnCharpaletteSettingEdit();
	afx_msg void OnCharpaletteSettingDelete();
	afx_msg void OnSelchangeCharpaletteSettingTablist();
	afx_msg void OnCharpaletteSettingUp();
	afx_msg void OnCharpaletteSettingDown();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_CHARPALETTESETTINGDLG_H_INCLUDED_)
